PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- SDSS Utilities (`pydl.pydlutils`) »
- hogg_iau_name

# hogg_iau_name

`pydl.pydlutils.misc.``hogg_iau_name`(ra, dec, prefix='SDSS', precision=1)

  Properly format astronomical source names to the IAU convention.

  Parameters:

  ra : `float` or `numpy.ndarray`

  > Right ascencion in decimal degrees

  dec : `float` or `numpy.ndarray`

  > Declination in decimal degrees.

  prefix : `str`, optional

  > Add this prefix to the string, defaults to ‘SDSS’.

  precision : `int`, optional

  > Display this many digits of precision on seconds, default 1.

  Returns:

  `str` or `list`

  > The IAU name for the coordinates.

  Examples

      >>> from pydl.pydlutils.misc import hogg_iau_name
      >>> hogg_iau_name(354.120375,-0.544777778)
      'SDSS J233628.89-003241.2'